 PhotoQt v1.7.1 - Copyright (C) 2011-2018, Lukas Spies (Lukas@photoqt.org),
 License: GPLv2 (or later) -- Website: http://photoqt.org
--------------------------------------------------------------------

 PhotoQt is a fast and highly configurable image viewer with a simple
 and nice interface.


 DEPENDENCIES
--------------
- Qt >= 5.5
- CMake (needed for building PhotoQt)
- libarchive
- Qt5 ImageFormats

> Make sure that you have the required QML modules installed:
  QtGraphicalEffects, QtMultimedia, QtQuick, QtQuick.Controls,
  QtQuick.Controls.Styles, QtQuick.Layouts, QtQuick.Window

> Dependencies, that are needed by default, but can be disabled via CMake
   (see INSTALL section):
- Exiv2
- GraphicsMagick
- LibRaw
- Poppler
- FreeImage
- DevIL

> NOTE
  On some systems you also need the *-dev package for compiling (e.g.
  exiv2-dev - names can vary slightly depending on your distribution). These
  files usually can be uninstalled again after compilation is done.

> NOTE
  Even though GraphicsMagick initially started as a fork of ImageMagick (back in
  2002), trying to build PhotoQt with ImageMagick wont work!


 OPTIONAL DEPENDENCIES
-----------------------
- KImageFormats - https://api.kde.org/frameworks/kimageformats/html/index.html
- XCFtools - https://github.com/j-jorge/xcftools
- libqpsd - https://github.com/Code-ReaQtor/libqpsd
- unrar

> These dependencies are not needed for compiling PhotoQt. However, if they are
  installed then PhotoQt is able to support a wider range of image formats.


 INSTALL
---------

1) mkdir build && cd build/

2) cmake ..

     # Note: This installs PhotoQt by default into /usr/local/{bin,share}
     # To install PhotoQt into another prefix e.g. /usr/{bin,share}, run:

     cmake -DCMAKE_INSTALL_PREFIX=/usr ..

     # PhotoQt makes use of various libraries (Exiv2, GraphicsMagick, etc.).
     # You can en-/disable them with the following options:
     # (if you don't specify anything, it asumes a default value of ON)

     -DEXIV2=OFF
     -DGM=OFF
     -DRAW=OFF
     -DPOPPLER=OFF
     -DFREEIMAGE=OFF
     -DDEVIL=OFF

     # If CMake aborts with the error that it can't find one of the libraries,
     # but they are in fact installed and available, then you can specify the
     # location of some of them as:

     -DMAGICK_LOCATION=/path/to/graphicsmagick
     -DEXIV2_LOCATION=/path/to/exiv2
     -DLIBRAW_LOCATION=/path/to/libraw
     -DFREEIMAGE_LOCATION=/path/to/freeimage

3) make  # This creates an executeable photoqt binary located in the ./build/ folder

4) (as root or sudo) make install
     # This (i) installs the desktop file to share/applications/
     #      (ii) installs some icons to icons/hicolor/
     #      (iii) installs the binary to bin/
     #      (iv) installs the appdata file to share/appdata/


 UNINSTALL
-----------
 If you want to uninstall PhotoQt, simply run "make uninstall" as root. This removes
 the desktop file (via xdg-desktop-menu uninstall), the icons, the binary file, and
 the appdata file. Alternatively you can simply remove all the files manually which
 should yield the same result.
